Skip to content

bots.botInvitationSecret

GET
/v1/bots/{botId}/invitations/{invitationId}/secret
curl --request GET \
--url https://example.com/v1/bots/example/invitations/example/secret \
--header 'Authorization: Bearer <token>'

Reads the secret and the URL of an invitation link again, for example to print its QR code again.

botId
required
string
>= 1 characters <= 128 characters
invitationId
required
string
>= 1 characters <= 128 characters

Success

Media typeapplication/json
object
invitation
required
object
id
required
string
>= 1 characters <= 128 characters
bot
required
string
>= 1 characters <= 128 characters
email
required
Any of:
string
prefix
required
Any of:
string
path
required
Any of:
string
<= 4096 characters
status
required
string
Allowed values: pending accepted declined revoked expired
invitedBy
required
string
createdAt
required
string
expiresAt
required
Any of:
string
secret
required
Any of:
string
url
required
Any of:
string

Example

{
"invitation": {
"status": "pending"
}
}

BotInvalid | InvitationInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve bots.read bots.write bots.delegate bots.share triggers.read triggers.write channels.read channels.write channels.use channel_identities.read channel_identities.write connections.read connections.write apps.use apps.publish computers.read computers.write computers.use computer_providers.read computer_providers.write computer_providers.use models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read usage.read budgets.read budgets.write
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

BotNotFound | InvitationNotFound

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

BotConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: BotConflict
message
required
string

Example

{
"_tag": "BotConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: AuthorizationUnavailable

Example

{
"_tag": "AuthorizationUnavailable"
}